#!/bin/python3
#%%
from tools.mdl_kit_v6 import get_mdl_type_sr, stat_ya_df, read_tables_in_dir
from p9_funcs import get_y_p9


# batch = 'p9_a'
# ya_df = get_y_p9(batch=batch, mode=3)
# ya_df['mdl_type'] = get_mdl_type_sr(ya_df=ya_df, y_col='y2', date_col='crd_dt', test_date='2023-11-01', stratify=['y2', 'month'])
# stat_ya_df(ya_df=ya_df, date_col='crd_dt', y_col='y2' )
# path = f'./data/y/{batch}-y-origin-pickle'
# ya_df.to_pickle(path)

test_date_dict = {
    'p9_b': '2023-10-01',
    'p9_b_jd': '2023-10-01',
    'p9_b_zj': '2023-10-01',
    'p9_b_xx': '2023-11-01',
    'p9_b_el': '2023-10-01',
    'p9_b_zx': '2023-11-01',
}

batch = 'p9_b'
ya_df = get_y_p9(batch=batch, mode=3)
# ya_df.drop(columns = ['mdl_type'], inplace = True)
for batch in ['p9_b', 'p9_b_jd', 'p9_b_zj', 'p9_b_xx', 'p9_b_el', 'p9_b_zx']:
    print('\n\n#', batch)
    batch_df = get_y_p9(batch=batch, mode=2)
    if batch == 'p9_b_el':
        stratify=['y']
    else:
        stratify=['y', 'month']
    ya_df[f'mdl_type-{batch}'] = get_mdl_type_sr(ya_df=batch_df, y_col='y', date_col='date', test_date=test_date_dict[batch], stratify=stratify)
    stat_ya_df(ya_df=ya_df, date_col='apply_dt', y_col='mob3_30_flag', mdl_type_col=f'mdl_type-{batch}', check = False)
path = f'./data/y/{batch}-y-origin-pickle'
# ya_df.to_pickle(path)


#%%

for batch in ['p9_a', 'p9_b', 'p9_b_jd', 'p9_b_zj', 'p9_b_xx', 'p9_b_el', 'p9_b_zx']:
    print('\n\n\n#', batch)
    ya_df = get_y_p9(batch=batch, mode=2)
    stat_ya_df(ya_df=ya_df, date_col='date')


#%%
'''
.\cmd.cmd _jd ; .\cmd.cmd _zj ; .\cmd.cmd _xx ; .\cmd.cmd _el ; .\cmd.cmd _zx ; 
'''
