#!/bin/python3
#%%
import os
from shutil import copytree
from tools.mdl_kit_v6 import auto_reader

def get_paths():
    path = './stat/p9-S23457-LGBM-stat-20240429Mon005801.xlsx'
    stat_df = auto_reader(path=path)
    idx = stat_df['select'] == 1
    paths = stat_df.loc[idx, 'save_path'].to_list()
    return paths

paths = get_paths()

origin_path = paths[0]

for origin_path in paths:
    dir_path = os.path.dirname(origin_path)
    basename = os.path.basename(dir_path)
    src = basename.split('-')[1]
    dst_path = f'./to_home/model/LGBM/{src}/{basename}'
    copytree(dir_path, dst_path)
    print(dst_path)
    del origin_path
    del dir_path
    del basename
    del src
    del dst_path

print('end')
