#!/bin/python3
#%%
import pandas as pd
from tools.mdl_kit_v6 import get_mdl_type_sr
from p9_funcs import get_y_p9

batch = 'p9_a'

def stat_month(batch):
    print('\n\n#', batch)
    ya_df = get_y_p9(batch=batch, mode=2)
    sr = ya_df['month'].value_counts().sort_index()
    stat_df = pd.DataFrame({'cnt': sr, 'percent': sr / sr.sum()})
    print(stat_df)
    print('\n\n')
    return None

for batch in ['p9_a', 'p9_b', 'p9_b_jd', 'p9_b_zj', 'p9_b_xx', 'p9_b_el', 'p9_b_zx']:
    stat_month(batch=batch)



'''
# oot
p9_a: 25%, 2m
p9_b: 20%, 2m
p9_b_jd: 23%, sep
p9_b_zj: 23%, sep
p9_b_xx: 15%, nov
p9_b_el: 25%, oct
p9_b_zx: 17%, 

api_tag_dict = {
    'jd': 'API-京东', # 9.7
    'zj': 'API-字节', # 7.5 zj
    'xx': 'API-星选', # 2.3 zj
    'el': 'API-饿了么', # 2.1
    'zx': 'API-智信', # 1.3 360
}
'''


{
    'p9_b_jd': '2023-09-01',
    'p9_b_zj': '2023-09-01',
    'p9_b_xx': '2023-11-01',
    'p9_b_el': '2023-10-01',
    'p9_b_zx': '2023-11-01',
}


